Package org.eclipse.net4j.db.ddl.delta

# Class IDBDeltaVisitor.Filter.ForbiddenChangeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter.ForbiddenChangeException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `IDBDeltaVisitor.Filter`

public static final class IDBDeltaVisitor.Filter.ForbiddenChangeException extends RuntimeException

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ForbiddenChangeException(IDBDelta delta)`

## Method Summary

Modifier and Type
Method
Description
`IDBDelta`
`getDelta()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ForbiddenChangeException

public ForbiddenChangeException(IDBDelta delta)

## Method Details

### getDelta

public IDBDelta getDelta()